#include <nrf9160.h>
#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/logging/log.h>

#include "date_time_SNTP.h"

LOG_MODULE_REGISTER(main);

// Setting this to 0 breaks the program
// 		- if ENABLE_K_SLEEP_IN_RTC_HANDLER is also 0, the work or thread is never called
// 		- if ENABLE_K_SLEEP_IN_RTC_HANDLER is 1, it works as expected (the work or thread is called once every 2 seconds)
#define USE_WHILE_LOOP_IN_MAIN 0

void main(void) {
	int err;
	err = date_time_sntp_init();
	if (err != 0){
		LOG_ERR("date_time_sntp_init failed, error code: %d", err);
		return;
	}
	#if USE_WHILE_LOOP_IN_MAIN
	while (1)
	{
		k_sleep(K_SECONDS(3));
	}
	#endif
}